[ocata to pike upgrades] Neutron db-sync fails: AttributeError: 'module' object has no attribute 'ServicePluginBase'

Bug #1683835 reported by Emilien Macchi on 2017-04-18
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
tripleo
High
Unassigned

Bug Description

Changed in tripleo:
status: New → Triaged
importance: Undecided → High
milestone: none → pike-2
tags: added: networking upgrade
Emilien Macchi (emilienm) wrote :

After the upgrade, here are the versions of Neutron:

openstack-neutron-11.0.0-0.20170417080927.b49764c.el7.centos.noarch
(https://github.com/openstack/neutron/commits/b49764c)
openstack-neutron-lbaas-10.0.1-0.20170417085201.071bb03.el7.centos.noarch
(where 071bb03 is the latest commit)
python-neutron-11.0.0-0.20170417080927.b49764c.el7.centos.noarch
python-neutron-lbaas-10.0.1-0.20170417085201.071bb03.el7.centos.noarch
python-neutron-lib-1.3.0-0.20170320164115.cd5b476.el7.centos.noarch
python2-neutronclient-6.1.0-0.20170208193918.1a2820d.el7.centos.noarch

You have lbaas code that is older than neutron code

Michael Johnson (johnsom) wrote :

Yeah, it looks like you have a master/pike version of neutron installed but an stable/ocata version of neutron-lbaas.

Ihar is right.

Emilien Macchi (emilienm) wrote :

Problem has been solved, with new packages. Thanks guys!

Changed in tripleo:
status: Triaged → Fix Released
maestropandy (maestropandy) wrote :

Hi,

I have installed devstack ocata, where my local.conf as below

#RECLONE=True
#HOST_IP=127.0.0.1
#Enable senlin
enable_plugin senlin https://git.openstack.org/openstack/senlin
#Enable senlin-dashboard
enable_plugin senlin-dashboard https://git.openstack.org/openstack/senlin-dashboard
#Enable heat plugin
enable_plugin heat https://git.openstack.org/openstack/heat stable/ocata

#devstack to use aodh and ceilometer
CEILOMETER_BACKEND=mongodb
enable_plugin ceilometer https://git.openstack.org/openstack/ceilometer stable/ocata
#enable_plugin aodh https://git.openstack.org/openstack/aodh stable/ocata

# gnocchi
enable_plugin gnocchi https://github.com/openstack/gnocchi master
#enable_service gnocchi-api,gnocchi-metricd

#For LBAAS
#enable_plugin neutron-lbaas https://github.com/openstack/neutron-lbaas stable/ocata
#enable_plugin octavia https://git.openstack.org/openstack/octavia stable/ocata
# For LBaaS V2
#ENABLED_SERVICES+=,q-lbaasv2
#ENABLED_SERVICES+=,octavia,o-cw,o-hk,o-hm,o-api

#disable_service n-net c-api c-sch c-vol
#enable_service q-svc q-agt q-dhcp q-l3 q-meta q-lbaasv2

# Enable Logging

LOGFILE=/opt/stack/logs/stack.sh.log
LOGDAYS=2
VERBOSE=True
LOG_COLOR=True
SCREEN_LOGDIR=/opt/stack/logs

#######

when am doing cloning, it shows error as "

"File "/opt/stack/neutron-lbaas/neutron_lbaas/extensions/loadbalancerv2.py", line 507, in <module>
2017-09-28 07:15:15.464 | class LoadBalancerPluginBaseV2(service_base.ServicePluginBase):
2017-09-28 07:15:15.464 | AttributeError: 'module' object has no attribute 'ServicePluginBase'
"

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers